reSID::Voice Class Reference

## Public Member Functions

void | set_chip_model (chip_model model)
void | set_sync_source (Voice *)
void | reset ()
void | writeCONTROL_REG (reg8)
int | output ()

## Public Attributes

WaveformGenerator | wave
EnvelopeGenerator | envelope

## Protected Attributes

short | wave_zero

## Friends

class | SID

The documentation for this class was generated from the following files:

- voice.h
- voice.cc